Nova IDE Arduino com autocompletar


#1

Gostaria de saber como instar a referida ide em windows 7, Tentei instalar mas não funcionou. Alguem esta usando ? não encontrei referencias de instalação no windows.
Foi desenvolvida somente para linux ?. Agradeço a quem posso dara uma resposta as
minhas duvidas.


#2

Acho que está claro que há um instalador para Windows: http://arduino.cc/en/Main/Software

É necessário privilégio de administrador do sistema para usar o instalador, se não for o administrador use o arquivo “zip”.


#3

Obrigado pela sua resposta, porem não estou me referindo a uma IDE normal e sim a uma publicada em : http://blog.fazedores.com/ide-arduino-com-melhorias/.talves eu esteja comendo bola não entendendo a IDE que já baixei e tentei mesclar com outras, pois se a mesmo esta desenvolvida para outro sistema que não seja o windows não vai interessar.


#4

Olá @JMairena bom, assim você explicou melhor. Pelo que entendi, esta IDE é um fork da IDE original, a única modificação é que esta inclui o recurso de autocompletar.

O que está hospedado no GitHub é apenas o código-fonte, o produto final não está disponibilizado, é necessário que, aqueles que baixem este código, gerem o binário para a plataforma específica que vai executar o programa.

Analisando o fonte, cheguei até este arquivo: https://github.com/OpenDevice/Arduino/blob/ide-1.5.x/build/howto.txt

Que, como pode ver apenas apresenta a informação:

HOW TO BUILD ARDUINO ON YOUR FAVORITE PLATFORM
See: http://code.google.com/p/arduino/wiki/BuildingArduino

Basta seguir as instruções para “compilar” o código conforme as instruções para Windows.


#5

Arduino 1.5.X BETA (with support for autocomplete)

Melhorias realizadas na IDE do Arduino, adicionando suporte a autocomplete e documentação integrada (em andamento).

Essas melhorias podem estar disponíveis na versão oficial, mas para isso precisamos da ajuda da comunidade para

testar e validar. Deixe seu comentário no vídeo do youtube
(https://www.youtube.com/watch?v=jSRuVy_fcVM) para mostrar a equipe do
arduino que essa funcionalidade é muito importante e deve ter prioridade
(pois pode demorar se eles acharem que não tem prioridade.)

Passo 1 - Download IDE : http://arduino.cc/en/Main/Software

Selecione: Arduino 1.5.8 BETA e proceda com a instalação normal

Caso você já tenha essa vessão, basta apenas criar uma cópia da pasta

Passo 2 : Aplicar o Patch

2.1 - Faça o download em: http://criativasoft.com.br/downloads/programas/arduino

2.2 - Descompacte no mesmo diretório que você instalou o arduino (substituindo os arquivos)

O Código fonte está disponível em: https://github.com/CriativaSoft/Arduino

Resumo das Modificações: https://gist.github.com/ricardojlrufino/19f89884162be39d851a

A instalção é simples, porem tenho algum problema com meu java instalado, revisar e volto a postar a solução do problema.


#6

Bom, eu ainda acho melhor fazer logo o build completo que ficar substituindo arquivos, mas de qualquer forma, se funciona assim, é bom dar uma olhadinha no Java mesmo.


#7

Bom dia.
JMairena, existem outras formas de utilizar o recurso de autocompletar.
Podes utilizar o Eclipse e o Sublime.
Eu utilizo o sublime pois é mais leve.
Ele pode ser instalado tanto no Linux quanto no Windows.

Achei estes links que exemplificam a instalação.


Qualquer dúvida, avise.


#8

Bom dia digofp

Agradeço suas sugestões, já sou usuário do Sublime, quando a algum erro no projeto ele nõa mostra
e sou obrigado a rodar a compilação na velha IDE do Arduíno. Quanto ao Equipse tentei usar não gostei.

Descompilei os arquivos java e realmente não possui nada que referência o windows. Testei o tal Mariamole, tive um problema que ainda não resolvi, compila normalmente porem da erro de usb quando tento enviar o arquivo para a placa (UNO).

Depois de procurar uma ide de peso testei o Atemel Studio 6.2 com um plugin pago.
Simplismente fantástico, Recomendo.


#9

Gostaria de compilar porem não tenho conhecimentos suficiente para isso.
Obreigado pela sugestão.


#10

É uma pena, o Sublime é bem interessante.
Não tentei simular um erro no projeto.
O farei e se tiver alguma sugestão, te informo.


#11

Desculpe @Jmairena, mas se você instalou o pacote Stino na sua instância do SublimeText, essa afirmação deixa de ser verdadeira, mesmo até porque o Stino utiliza os arquivos da própria instalação da Arduino IDE para funcionar.

Como prova de conceito, eu introduzi um erro no exemplo Blinky, ao invés de “Setup”, escrevi “Setupy” e o console apontou o mesmo erro de compilação que a IDE do Arduino apontaria.


#12

UPDATE: A nova versão da IDE Modificada pode ser baixada em:
http://criativasoft.com.br/downloads/programas/arduino
É baseada na última versão: 1.6.X da versão oficial.


#13

Boa Tarde, Pessoal

Ricardo está de parabéns com esse MOD do IDE do Arduino.

Ajuda muito na hora de programa.


#14

Opções tem aos montes. Uma delas é utilizar o codeblocks:

Mas dá pra usar o QtCreator, NetBeans etc. Tudo com o platformio de background.